Tasks
All operations require authentication.
2 operationsv1/ovhCloudConnect/{serviceName}
List tasksProduction
GET
/1.0/ ovhCloudConnect/ {serviceName}/ task
Returns the IDs of the service's asynchronous operations.
Path parameters
service Name
required
stringuuid
Service name
Response
200integer []successful operation
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get taskProduction
GET
/1.0/ ovhCloudConnect/ {serviceName}/ task/ {id}
Returns the task function, status and the ID of the resource it created.
Path parameters
id
required
integer
Id
service Name
required
stringuuid
Service name
Response
200Tasksuccessful operation
function
read-only
Function Enum
Task function
Values
addDatacenterConfigurationaddDatacenterExtraConfigurationaddPopConfigurationaddVrackconsumePairingKeydelDatacenterConfigurationdelDatacenterExtraConfigurationdelPopConfigurationdeleteCircuitdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRouteslockInterfaceremoveVrackresetEdgeConfigurationunlockInterfaceid
read-only
integer
Task id
resource Id
read-only
integer
Reference of the created resource
status
read-only
Status Enum
Task status
Values
denieddoingdoneerrorpausetodoExample uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ task/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "addDatacenterConfiguration", "id": 0, "resourceId": 0, "status": "denied"}